@import '../../../../src/styles.scss';

.about-container {
  position: relative;
  width: 100%;
  height: 100%;
  background: white;
  padding: 10px;
  border-radius: 0px 10px 10px 0px;
  -webkit-box-shadow: 10px 10px 7px -6px rgba(84, 84, 84, 0.44), inset 10px 0px 15px -6px rgba(0, 0, 0, 0.03);
  -moz-box-shadow: 10px 10px 7px -6px rgba(84, 84, 84, 0.44), inset 10px 0px 15px -6px rgba(0, 0, 0, 0.03);
  box-shadow: 10px 10px 7px -6px rgba(84, 84, 84, 0.44), inset 10px 0px 15px -6px rgba(0, 0, 0, 0.03);
  z-index: 1;
}

.about-header {
  display: flex;
  flex-flow: row;
  justify-content: flex-start;
  height: 50px;
}

.about-header-title {
  flex: 1;
  display: flex;
  flex-flow: row;
  justify-content: flex-start;
  align-items: center;
  padding-left: 10px;
  font-size: 16px;
  &-first {
    position: absolute;
    border-radius: 100%;
    left: 14px;
    top: 26px;
    height: 25px;
    width: 25px;
    background-image: $app-gradient-faded;
  }
}

.about-content {
  display: flex !important; // because overrided with the slim scrollbar
  flex-flow: column;
  overflow-y: auto;
  overflow-x: hidden;
  margin-top: 5px;
  height: 470px;
}

.about-content-description {
  padding: 10px;
  font-size: 13px;
  color: rgba(150,150,150,1);
  display: flex;
  justify-content: flex-start;
  align-items: flex-start;
  flex-flow: column wrap;
  width: 100%;
}

.about-content-description-icon {
  position: relative;
  margin: 8px 0 8px 0;
  font-size: 16px;
  color:  $main-color;
  text-align: center;
}

.about-paragraph, .about-start {
  width: 100%;
  &:hover {
    .about-content-description-icon {
      transform: scale(1.3);
      transition: all ease 0.5s;
    }
    .about-content-description-text {
      border-radius: 10px;
      padding: 10px;
      background-color: $main-color-faded;
      transition: all ease 1s;
    }
  }
}

.about-content-description-text {
  transition: all ease 1s;
}

.emphase-words {
  //color:  $main-color;
  font-weight: bold;
}

@media screen and (max-width: 1000px) {
  .slimscroll-wrapper, .about-content {
    height: 425px;
  }
}

@media screen and (max-width: 900px) {
  .slimscroll-wrapper {
    height: 90vh !important;
  }
  .about-content {
    height: 100%;
  }
  .about-container {
    border-radius: 0;
  }
}

// FIXME: temporary class in order to make the about component look nice on mobile
@media screen and (max-width: 420px) {
  .about-header-title {
    padding-left: 50px;
    &-first {
      left: 54px;
    }
  }
  .about-paragraph, .about-start {
    width: 100%;
    &:hover {
      .about-content-description-icon {
        transform: scale(1.3);
        transition: all ease 0.5s;
      }
      .about-content-description-text {
        padding: 0;
        background-color: transparent;
        transition: none;
      }
    }
  }

  .about-content-description-text {
    transition: none;
  }
}
